#
# spec file for package gimpperl (Version 1.21)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gimp gimp-devel glib glib-devel gtk gtk-devel gtkdoc gxmhtml libz perl perl-Gtk-Perl perl-PDL perl-Parse-RecDescent xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext gimp gimp-devel glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gtkdoc gxmhtml gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Gtk-Perl perl-PDL perl-Parse-RecDescent ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gimpperl
%define prefix	/usr
Copyright:	1997-2000 Marc Lehmann and others	
Group:		X11/Applications/Graphics
Requires:	gtk >= 1.2.8
Requires:	glib >= 1.2.8
Requires:	gimp
Requires:	perl-PDL	
Requires:	Gtk-Perl	
Requires:	perl-Parse-RecDescent
Autoreqprov:	on
Version:      1.21
Release:      211
Summary:      The perl plugin for the GIMP
Source:		Gimp-%{version}.tar.gz
Patch:		Gimp-%{version}.dif
BuildRoot:      /var/tmp/%{name}-root

%description
This package contains everything to run and develop scripts
for the GIMP written in Perl.

Authors:
--------
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Peter Mattis <petm@xcf.berkeley.edu>

SuSE series: gra

%prep
%setup -n Gimp-%{version}
%patch

%build
#CFLAGS="-DGIMP_ENABLE_COMPAT_CRUFT" perl Makefile.PL 
CFLAGS="`gtk-config --cflags gtk`" perl Makefile.PL 
make 

%install
sed -e "s@^prefix=/usr@prefix=\$\{prefix:=/usr\}@" /usr/bin/gimptool > mytmp
cp mytmp /usr/bin/gimptool
export prefix=$RPM_BUILD_ROOT/usr
mkdir -p `/usr/bin/gimptool --gimpplugindir`/plug-ins
eval `perl -V:installarchlib` 
rm -f $installarchlib/perllocal.pod
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Gimp
cat .packlist | sed s:$RPM_BUILD_ROOT:: | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat %{name} | sed s:$RPM_BUILD_ROOT:: > %{name}.n
mv %{name}.n %{name}

%files
%doc AUTHORS COPYING* Changes MANIFEST README TODO NEWS 
/var/adm/perl-modules/%{name}
# gettext lang data
#%{prefix}/share/locale/*/LC_MESSAGES/gimp-perl.mo
# Here are the Perl "executables"
%{prefix}/bin/*
# Here are the Perl modules
%{prefix}/lib/perl5/site_perl/*/*-linux/Gimp.pm
%{prefix}/lib/perl5/site_perl/*/*-linux/Gimp
%{prefix}/lib/perl5/site_perl/*/*-linux/auto/Gimp
# Here are the manified manuals
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3pm.gz
# Here are the Perl scripts
%{prefix}/lib/gimp/1.2/plug-ins/*

%changelog -n gimpperl
* Mon Aug 20 2001 - ro@suse.de
- replaced neededforbuild <perlgnom> with <perl-Gtk-Perl>
* Wed Mar 14 2001 - ro@suse.de
- finally get prefix to gimptool
* Wed Mar 14 2001 - ro@suse.de
- shell escaping in specfile
* Wed Mar 14 2001 - ro@suse.de
- update to 1.21
- use buildroot  (had to hack gimptool ...)
* Fri Feb 23 2001 - egger@suse.de
- Added documentation as per bug #5354.
* Sun Dec 31 2000 - ro@suse.de
- fixed filelist (gimp->1.2)
* Sat Dec 09 2000 - egger@suse.de
- Fixed Requirements.
* Thu Nov 16 2000 - ro@suse.de
- fixed neededforbuild perl_pdl -> perl-PDL
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 - ro@suse.de
- fix for new gimp
* Sun Sep 24 2000 - egger@suse.de
- Change libgimpd to gimpdev in #neededforbuild.
* Tue Sep 12 2000 - ro@suse.de
- fixed to compile
* Mon Sep 04 2000 - egger@suse.de
- Updated to version 1.201.
- Cleaned up specfile a bit.
* Sun Sep 03 2000 - egger@suse.de
- Use wildcards instead of a fixed perl number to make
  rpm find it on more recent perl versions
* Tue Jul 11 2000 - egger@suse.de
- Added diff to make plugin compatible to GIMP again...
* Tue Jul 04 2000 - ro@suse.de
- removed rest of perl_prd
* Thu Jun 08 2000 - ro@suse.de
- fixed specfile
* Wed Jun 07 2000 - ro@suse.de
- updated neededforbuild and filelist
* Tue Jun 06 2000 - egger@suse.de
- Initial version. Now gimpperl gets build from the separate
  package.
